lp:ubuntu/oneiric/gobject-introspection

Created by James Westby and last modified
Get this branch:
bzr branch lp:ubuntu/oneiric/gobject-introspection
Members of Ubuntu branches can upload to this branch. Log in for directions.

Branch merges

Related bugs

Related blueprints

Branch information

Owner:
Ubuntu branches
Status:
Mature

Recent revisions

55. By Martin Pitt

Add 01-account_for_padding_in_struct_size_check.patch: On some platform
like armel or powerpc the compiler adds extra padding to structs. Make the
test_size_of_struct_with_array_of_anon_unions() check more liberal by only
requiring that the size of the struct is at least as big as expected. Also
use g_assert_cmpuint() to make it easier to see the actual diff. This
fixes FTBFS on armel/powerpc. (LP: #857314)

54. By Martin Pitt

New upstream bug fix release.

53. By Martin Pitt

New upstream bug fix release.

52. By Martin Pitt

* New upstream snapshot, to fix a lot of bugs, in particular Gio typelib
  generation.
* debian/libgirepository-1.0-1.symbols: Update for new version.
* debian/glib-2.0.c, debian/rules: Drop our hack to force older glib
  annotations, as we use pygobject 2.90 now. This unbreaks a lot of Gio API.
  Add a Breaks: to older pygobject versions.

51. By Martin Pitt

New upstream release.

50. By Martin Pitt

Add debian/glib-2.0.c: Roll back to gir/glib-2.0 as of before upstream
commit 6d30588c1. Later commits have a GVariant which current pygobject
does not deal with. This is fixed in the invoke-rewrite branch of
pygobject, so until this lands we need the older annotations. Install this
file in debian/rules after patching, and restore it in clean.

49. By Martin Pitt

* New upstream release.
* debian/control.in: Bump glib build dependency according to new upstream
  configure.ac.
* debian/libgirepository-1.0-1.symbols: Add new symbols from this release.

48. By Martin Pitt

* Merge with Debian unstable. Remaining Ubuntu changes:
  - dh_girepository: use the proposed multiarch tuple directories instead of
    the GNU triplets. (The code was wrong anyway, using build arch instead
    of host arch...)
  - Bump dpkg-dev dependency to ensure multiarch support.

47. By Martin Pitt

Reapply multiarch changes from 0.10.4-1ubuntu1.

46. By Josselin Mouette <email address hidden>

* policy.txt: change the policy about dependencies between the
  development package and the gir package.
  Rationale: this will simplify build-dependencies a lot.
* Implement this in libgirepository1.0-dev.
* New upstream release.

Branch metadata

Branch format:
Branch format 7
Repository format:
Bazaar repository format 2a (needs bzr 1.16 or later)
Stacked on:
lp:ubuntu/precise/gobject-introspection
This branch contains Public information 
Everyone can see this information.

Subscribers